# Regions Regions ## Gets all of the regions in the system. - [GET /regions/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/regions/listregions.md): This method will scan all regions and and return them to the caller. ## Creates a new region record that does not already exist. - [POST /regions/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/regions/createregion.md): This method will auto-generate an ID and create a new region. If an ID is specified for the region, an error will be thrown. ## Execute Batch Operations - [POST /regions/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/regions/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Recalculate Region Assignments - [POST /regions/{tenantId}/recalculate](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/regions/recalculateregionassignments.md): Goes through and recalculates all region assignments ## Returns a region from the system by its ID. - [DELETE /regions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/regions/deleteregion.md): This method will delete a region with the specified ID. ## Returns a region from the system by its ID. - [GET /regions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/regions/getregion.md): This method will look up a region by the specified ID and return it back. ## Partially updates a region with the specified ID. - [PATCH /regions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/regions/patchregion.md): This method will patch an existing region with the specified ID, using the HTTP PATCH specification. ## Updates a region with the specified ID. - [PUT /regions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/regions/updateregion.md): This method will update an existing region with the specified ID.